## com.sun.jersey.core.spi.component.ioc
Class IoCProviderFactory

    java.lang.Object
      com.sun.jersey.core.spi.component.ProviderFactory
          com.sun.jersey.core.spi.component.ioc.IoCProviderFactory

All Implemented Interfaces:
  ComponentProviderFactory<ComponentProvider>

    public class IoCProviderFactory

extends ProviderFactory

An extension of `ProviderFactory` that defers to an `IoCComponentProviderFactory`. All registered provider factory implementations are being polled so that a single `IoCComponentProvider` instance could be selected for each component.

Author:
  Paul Sandoz (paul.sandoz at oracle.com)

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jersey.core.spi.component.ProviderFactory
`ProviderFactory.Destroyable`

Field Summary

Fields inherited from class com.sun.jersey.core.spi.component.ProviderFactory
`LOGGER`

Constructor Summary
`IoCProviderFactory(InjectableProviderContext ipc, IoCComponentProviderFactory icpf)` Create a new provider factory based on given context and factory.
`IoCProviderFactory(InjectableProviderContext ipc, java.util.List<IoCComponentProviderFactory> factories)` Create a new provider factory based on given context and factories.

Method Summary
`ComponentProvider` `_getComponentProvider(java.lang.Class c)`

Methods inherited from class com.sun.jersey.core.spi.component.ProviderFactory
`destroy, getComponentProvider, getComponentProvider, getInjectableProviderContext, injectOnAllComponents, injectOnProviderInstance, injectOnProviderInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IoCProviderFactory

    public IoCProviderFactory(InjectableProviderContext ipc,
                              IoCComponentProviderFactory icpf)

  Create a new provider factory based on given context and factory.

  Parameters:
    `ipc` - the injectable provider context.
    `icpf` - the IoC component provider factory.

### IoCProviderFactory

    public IoCProviderFactory(InjectableProviderContext ipc,
                              java.util.List<IoCComponentProviderFactory> factories)

  Create a new provider factory based on given context and factories.

  Parameters:
    `ipc` - the injectable provider context.
    `factories` - the list of IoC component provider factory.

Method Detail

### _getComponentProvider

    public ComponentProvider _getComponentProvider(java.lang.Class c)

  Overrides:
    `_getComponentProvider` in class `ProviderFactory`

Copyright © 2017 Oracle Corporation. All Rights Reserved.